Olympus Docs
ReferenceAPIsOry Identities APIfrontend

Disable my other sessions

Calling this endpoint invalidates all except the current session that belong to the logged-in user.

DELETE /sessions

Calling this endpoint invalidates all except the current session that belong to the logged-in user. Session data are not deleted.

Operation ID: disableMyOtherSessions    Tag: frontend

Header parameters

NameTypeRequiredDescription
X-Session-TokenstringnoSet the Session Token when calling from non-browser clients. A session token has a format of MP2YWEMeM8MxjkGKpH4dqOQ4Q4DlSPaj.
CookiestringnoSet the Cookie Header. This is especially useful when calling this endpoint from a server-side application. In that scenario you must include the HTTP Cookie Header which originally was included in the request to your server. An example of a session in the HTTP Cookie Header is: ory_kratos_session=a19iOVAbdzdgl70Rq1QZmrKmcjDtdsviCTZx7m9a9yHIUS8Wa9T7hvqyGTsLHi6Qifn2WUfpAKx9DWp0SJGleIn9vh2YF4A16id93kXFTgIgmwIOvbVAScyrx7yVl6bPZnCx27ec4WQDtaTewC1CpgudeDV2jQQnSaCP6ny3xa8qLH-QUgYqdQuoA_LF1phxgRCUfIrCLQOkolX5nv3ze_f==. It is ok if more than one cookie are included here as all other cookies will be ignored.

Responses

StatusDescriptionBody
200deleteMySessionsCountapplication/json, object
400errorGenericapplication/json, object
401errorGenericapplication/json, object
defaulterrorGenericapplication/json, object

Generated from /tmp/kratos-api.json at build time.

On this page